/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\OrnamentOfThePKer.cs
Lines of code: 40
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class OrnamentOfThePKer : GoldBracelet
	{

		public override int ArtifactRarity{ get{ return 20; } }

		[Constructable]
		public OrnamentOfThePKer()
		{
			Name = "Ornament of the PKer";
			Hue = 0x554;
			Attributes.CastRecovery = 6;
			Attributes.CastSpeed = 4;
			Attributes.LowerManaCost = 15;
			Attributes.SpellDamage = 15;
			Attributes.LowerRegCost = 100;
			Attributes.LowerAmmoCost = 100;
			Attributes.AttackChance = 45;
			Attributes.DefendChance = 45;
			Attributes.WeaponDamage = 100;
			Attributes.RegenHits = 25;
			Attributes.RegenMana = 25;
			Attributes.RegenStam = 25;			
		}

		public OrnamentOfThePKer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

		}
	}
}